Page MenuHomePhabricator

Discernatron at https://discernatron.wmflabs.org/ not reachable
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:
The Discernatron tool for labeling Wikipedia search results for relevance testing used to be available at https://discernatron.wmflabs.org

Actual Results:
Instead of the login/webpage I get a "502 Bad Gateway" now

Maybe the service moved or was shut down intentionally? Just curious because I linked the tool as an example of a good, labeled search relevance dataset in an Elasticsearch blog posts from last year (https://www.elastic.co/de/blog/made-to-measure-how-to-use-the-ranking-evaluation-api-in-elasticsearch). Just curious where it went.

Event Timeline

Lobey76 created this task.Sep 4 2019, 11:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2019, 11:15 AM
debt triaged this task as Medium priority.Sep 5 2019, 5:12 PM
debt added a subscriber: debt.

We'll take a look...

Change 535251 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Unconditionally add D modifier to regexps ending in $ check

https://gerrit.wikimedia.org/r/535251

Change 535251 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Unconditionally add D modifier to regexps ending in $ check

https://gerrit.wikimedia.org/r/535251

EBernhardson added a subscriber: EBernhardson.EditedSep 12 2019, 8:14 PM

For whatever reason the container stopped, I started it back up again. This probably needs to move to our more managed tools collection rather than a custom container on a cloud instance.

At a higher level, we didn't have much success collecting labels from people outside the team, which has led to disuse of this tool. Overall the labeling process is, as expected, fairly tedious. In terms of the dataset it's available under CC-Zero, feel free to host a snapshot of the data to ensure continued availability.

debt closed this task as Resolved.Sep 20 2019, 4:34 PM